commit ed37444527edfc1ad6c95d0a7a3f5407e20ebe95
Author: Aurelien BOMPARD <aurelien.bompard@c-s.fr>
Date:   Tue Jun 30 10:55:34 2009 +0000

    ajout de l'environnement de construction
    
    git-svn-id: https://vigilo-dev.si.c-s.fr/svn@252 b22e2e97-25c9-44ff-b637-2e5ceca36478

diff --git a/Makefile b/Makefile
new file mode 100644
index 0000000..547896f
--- /dev/null
+++ b/Makefile
@@ -0,0 +1,33 @@
+NAME = 
+
+all: bin/python
+	@echo "Template Makefile, to be filled with build and install targets"
+
+bin/buildout: buildenv/bootstrap.py
+	python2.5 $^
+
+bin/python bin/paster: bin/buildout
+	./$^
+
+clean:
+	find $(CURDIR) \( -name "*.pyc" -o -name "*~" \) -delete
+
+buildclean: clean
+	rm -rf eggs develop-eggs parts .installed.cfg bin
+
+apidoc: doc/apidoc/index.html
+doc/apidoc/index.html: src/vigilo
+	rm -rf $(CURDIR)/doc/apidoc/*
+	PYTHONPATH=src epydoc -o $(dir $@) -v \
+		   --name Vigilo --url http://www.projet-vigilo.org \
+		   --docformat=epytext $^
+
+lint: bin/python
+	./bin/python "$$(which pylint)" --rcfile=extra/pylintrc src/vigilo
+
+tests:
+	nosetests --with-coverage --cover-inclusive --cover-erase --cover-package vigilo tests
+
+
+.PHONY: all clean buildclean apidoc lint tests
+
diff --git a/buildout.cfg b/buildout.cfg
new file mode 100644
index 0000000..e75394d
--- /dev/null
+++ b/buildout.cfg
@@ -0,0 +1,10 @@
+[buildout]
+extends = buildenv/buildout-base.cfg buildenv/distrib/mes-5.cfg
+parts = turbogears vigiboard
+develop = .
+eggs = vigiboard
+
+[vigiboard]
+recipe = zc.recipe.egg
+eggs = ${buildout:eggs}
+interpreter = python
diff --git a/setup.py b/setup.py
index ddd9f71..ed1508e 100644
--- a/setup.py
+++ b/setup.py
@@ -23,6 +23,9 @@ setup(
         "repoze.tm2 >= 1.0a4",
         
         "repoze.what-quickstart >= 1.0",
+
+        "MySQL-python",
+        "tw.jquery",
                 ],
     setup_requires=["PasteScript >= 1.7"],
     paster_plugins=['PasteScript', 'Pylons', 'TurboGears2', 'tg.devtools'],
